SCSI_REMOVE_TARGET(9)

NAME
scsi_remove_target - try to remove a target and all its devices

SYNOPSIS

void scsi_remove_target(struct device * dev);

ARGUMENTS

dev
    generic starget or parent of generic stargets to be removed

NOTE

This is slightly racy. It is possible that if the user requests the addition of another device then the target won't be removed.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT